<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("user_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "_c261da155a5b4c08" . "fbbfc94c9c7a9d5f" => base64_decode("ZW1wdHlfc2Vhc" . "mNo"), "_aa7e860da1acd4e767e0df" . "9d7d407380" => base64_decode("ZGF0ZV9jcmVhdG" . "Vk"), "i" . "d" => base64_decode("aWQ" . "="), "keyw" . "ords" => base64_decode("a2V5d2" . "9yZHM="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c261da155a5b4c0" . "8fbbfc94c9c7a9d5" . "f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["user_" . "id"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_aa7e860da1acd4e767e0df9d" . "7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["keywo" . "rds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["user_" . "id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aa7e860da1acd4e767e" . "0df9d7d407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["keywo" . "rds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e" . "0df9d7d407380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["ke" . "yw" . "or" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}